API Reference for Marketo Engage

Clone Form

POST /rest/asset/v1/form/{id}/clone.json

Clones the target form.

Operation ID
cloneLpFormsUsingPOST
Permissions
Read-Write Assets
Request format
application/x-www-form-urlencoded
Returns
ResponseOfLpFormResponse

Parameters

Path 1

id integer (int32) required

Request body

application/x-www-form-urlencoded · optional · CloneFormRequest · 5 properties

Sent as URL-encoded form fields. Object properties are sent as JSON text in their field.

name string required

Name for the cloned form

folder Folder required

JSON representation of parent folder, with members 'id', and 'type' which may be 'Folder' or 'Program'

Model Folder

id integer (int32) required

Id of the folder

type string required

Type of folder

Values Folder Program

description string

Description of the cloned form

Responses

200 OK ResponseOfLpFormResponse
errors array of Error

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string
result array of LpFormResponse

Model LpFormResponse

buttonLabel string required

Label text of the button

buttonLocation integer (int32) required

Location in pixels of the button relative to the left of the form

createdAt string (date-time)

Datetime the asset was created

description string

Description of the asset

folder Folder required

JSON representation of parent folder, with members 'id', and 'type' which may be 'Folder' or 'Program'

Model Folder

id integer (int32) required

Id of the folder

type string required

Type of folder

Values Folder Program

fontFamily string required

font-family property for the form

fontSize string required

font-size property of the form

id integer (int64)

Id of the asset

knownVisitor FormKnownVisitorDTO required

Known visitor behavior for the form

Model FormKnownVisitorDTO

template string
type string
labelPosition string required

Default positioning of labels.

language string required

Language of the form

locale string required

Locale of the form

name string

Name of the asset

progressiveProfiling boolean required

Whether progressive profiling is enabled for the form

status string required

Status filter for draft or approved versions

Values approved draft

thankYouList array of FormThankYouPageDTO required

List of thank you page behaviors for the form

Model FormThankYouPageDTO

default boolean
followupType string
followupValue object
operator string
subjectField string
values array of string
theme string required

CSS theme for the form to use

updatedAt string (date-time)

Datetime the asset was most recently updated

url string

Url of the asset in the Marketo UI

waitingLabel string required

Waiting text of the button

success boolean
warnings array of string
Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "buttonLabel": "string",
      "buttonLocation": 123,
      "createdAt": "2026-01-15T10:30:00Z",
      "description": "string",
      "folder": {
        "id": 123,
        "type": "Folder"
      },
      "fontFamily": "string",
      "fontSize": "string",
      "id": 123,
      "knownVisitor": {
        "template": "string",
        "type": "string"
      },
      "labelPosition": "string",
      "language": "string",
      "locale": "string",
      "name": "Example name",
      "progressiveProfiling": true,
      "status": "approved",
      "thankYouList": [
        {
          "default": true,
          "followupType": "string",
          "followupValue": {},
          "operator": "string",
          "subjectField": "string",
          "values": [
            "string"
          ]
        }
      ],
      "theme": "string",
      "updatedAt": "2026-01-15T10:30:00Z",
      "url": "https://example.com",
      "waitingLabel": "string"
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Generated from swagger-asset.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results